## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate aom-sys

Name:           rust-aom-sys
Version:        0.3.3
Release:        %autorelease
Summary:        FFI bindings to aom

License:        MIT
URL:            https://crates.io/crates/aom-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * temporarily downgrade bindgen build-dependency from 0.69.1 to 0.68
Patch:          aom-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
FFI bindings to aom.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(aom) >= 3.0.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+build_sources-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+build_sources-devel %{_description}

This package contains library source intended for building other packages which
use the "build_sources" feature of the "%{crate}" crate.

%files       -n %{name}+build_sources-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(aom) >= 3.0.0'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3; Fixes RHBZ#2256078

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2; Fixes RHBZ#2142378

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#2041214

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Update to 0.3.0 Close: rhbz#1917806

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.1-5
- Rebuilt for aom v3.1.1

* Sat Apr 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-4
- Bump to bindgen 0.56.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-2
- Bump to bindgen 0.56.

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-1
- Update to version 0.2.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 2020 Josh Stone <jistone@redhat.com> - 0.1.4-2
- Bump to bindgen 0.54

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Wed Feb 26 2020 Josh Stone <jistone@redhat.com> - 0.1.3-3
- Bump bindgen to 0.53.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 23:28:44 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.3-1
- Release 0.1.3

* Wed Jul 31 18:41:18 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.2-3
- Bump bindgen to 0.51

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 15 08:34:56 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.1.1-2
- bump bindgen to 0.49

* Wed Mar 20 13:57:30 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.1-1
- Release 0.1.1

* Wed Mar 20 09:39:58 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.0-2
- Run tests in infrastructure

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
